@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
usb_hw_t Struct Reference

## Data Fields

io_rw_32 | dev_addr_ctrl
io_rw_32 | int_ep_addr_ctrl [15]
io_rw_32 | main_ctrl
io_wo_32 | sof_wr
io_ro_32 | sof_rd
io_rw_32 | sie_ctrl
io_rw_32 | sie_status
io_rw_32 | int_ep_ctrl
io_rw_32 | buf_status
io_ro_32 | buf_cpu_should_handle
io_rw_32 | abort
io_rw_32 | abort_done
io_rw_32 | ep_stall_arm
io_rw_32 | nak_poll
io_rw_32 | ep_nak_stall_status
io_rw_32 | muxing
io_rw_32 | pwr
io_rw_32 | phy_direct
io_rw_32 | phy_direct_override
io_rw_32 | phy_trim
uint32_t | _pad0
io_ro_32 | intr
io_rw_32 | inte
io_rw_32 | intf
io_ro_32 | ints

The documentation for this struct was generated from the following file:

- include/hardware/structs/usb.h